Package org.eclipse.microprofile.rest.client.tck.providers

# Class MultiTypedProvider

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.MultiTypedProvider

All Implemented Interfaces:
  `jakarta.ws.rs.client.ClientRequestFilter`, `jakarta.ws.rs.client.ClientResponseFilter`, `jakarta.ws.rs.ext.MessageBodyReader<Object>`, `jakarta.ws.rs.ext.MessageBodyWriter<Object>`, `jakarta.ws.rs.ext.ParamConverterProvider`, `jakarta.ws.rs.ext.ReaderInterceptor`, `jakarta.ws.rs.ext.WriterInterceptor`, `ResponseExceptionMapper<Throwable>`

public class MultiTypedProvider extends Object implements jakarta.ws.rs.client.ClientRequestFilter, jakarta.ws.rs.client.ClientResponseFilter, jakarta.ws.rs.ext.MessageBodyReader<Object>, jakarta.ws.rs.ext.MessageBodyWriter<Object>, jakarta.ws.rs.ext.ReaderInterceptor, jakarta.ws.rs.ext.WriterInterceptor, ResponseExceptionMapper<Throwable>, jakarta.ws.rs.ext.ParamConverterProvider

## Field Summary

### Fields inherited from interface org.eclipse.microprofile.rest.client.ext.ResponseExceptionMapper

`DEFAULT_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`MultiTypedProvider()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`aroundReadFrom(jakarta.ws.rs.ext.ReaderInterceptorContext context)`
`void`
`aroundWriteTo(jakarta.ws.rs.ext.WriterInterceptorContext context)`
`void`
`filter(jakarta.ws.rs.client.ClientRequestContext requestContext)`
`void`
`filter(jakarta.ws.rs.client.ClientRequestContext requestContext, jakarta.ws.rs.client.ClientResponseContext responseContext)`
`<T> jakarta.ws.rs.ext.ParamConverter<T>`
`getConverter(Class<T> rawType, Type genericType, Annotation[] annotations)`
`long`
`getSize(Object o, Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)`
`boolean`
`isReadable(Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)`
`boolean`
`isWriteable(Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)`
`Object`
`readFrom(Class<Object> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream)`
`Throwable`
`toThrowable(jakarta.ws.rs.core.Response response)`
`void`
`writeTo(Object t, Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,Object> httpHeaders, OutputStream entityStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.rest.client.ext.ResponseExceptionMapper

`getPriority, handles`

## Constructor Details

### MultiTypedProvider

public MultiTypedProvider()

## Method Details

### filter

public void filter(jakarta.ws.rs.client.ClientRequestContext requestContext) throws IOException

Specified by:
  `filter` in interface `jakarta.ws.rs.client.ClientRequestFilter`
Throws:
  `IOException`

### filter

public void filter(jakarta.ws.rs.client.ClientRequestContext requestContext, jakarta.ws.rs.client.ClientResponseContext responseContext) throws IOException

Specified by:
  `filter` in interface `jakarta.ws.rs.client.ClientResponseFilter`
Throws:
  `IOException`

### isReadable

public boolean isReadable(Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)

Specified by:
  `isReadable` in interface `jakarta.ws.rs.ext.MessageBodyReader<Object>`

### readFrom

public Object readFrom(Class<Object> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream) throws IOException, jakarta.ws.rs.WebApplicationException

Specified by:
  `readFrom` in interface `jakarta.ws.rs.ext.MessageBodyReader<Object>`
Throws:
  `IOException`
  `jakarta.ws.rs.WebApplicationException`

### isWriteable

public boolean isWriteable(Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)

Specified by:
  `isWriteable` in interface `jakarta.ws.rs.ext.MessageBodyWriter<Object>`

### getSize

public long getSize(Object o, Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)

Specified by:
  `getSize` in interface `jakarta.ws.rs.ext.MessageBodyWriter<Object>`

### writeTo

public void writeTo(Object t, Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,Object> httpHeaders, OutputStream entityStream) throws IOException, jakarta.ws.rs.WebApplicationException

Specified by:
  `writeTo` in interface `jakarta.ws.rs.ext.MessageBodyWriter<Object>`
Throws:
  `IOException`
  `jakarta.ws.rs.WebApplicationException`

### getConverter

public <T> jakarta.ws.rs.ext.ParamConverter<T> getConverter(Class<T> rawType, Type genericType, Annotation[] annotations)

Specified by:
  `getConverter` in interface `jakarta.ws.rs.ext.ParamConverterProvider`

### aroundReadFrom

public Object aroundReadFrom(jakarta.ws.rs.ext.ReaderInterceptorContext context) throws IOException, jakarta.ws.rs.WebApplicationException

Specified by:
  `aroundReadFrom` in interface `jakarta.ws.rs.ext.ReaderInterceptor`
Throws:
  `IOException`
  `jakarta.ws.rs.WebApplicationException`

### aroundWriteTo

public void aroundWriteTo(jakarta.ws.rs.ext.WriterInterceptorContext context) throws IOException, jakarta.ws.rs.WebApplicationException

Specified by:
  `aroundWriteTo` in interface `jakarta.ws.rs.ext.WriterInterceptor`
Throws:
  `IOException`
  `jakarta.ws.rs.WebApplicationException`

### toThrowable

public Throwable toThrowable(jakarta.ws.rs.core.Response response)

Specified by:
  `toThrowable` in interface `ResponseExceptionMapper<Throwable>`